PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Protected Member Functions | List of all members
PHTML::FieldElement Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::FieldElement:
[legend]
Collaboration diagram for PHTML::FieldElement:
[legend]

## Protected Member Functions
| FieldElement (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled)
virtual | ~FieldElement ()
virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Additional Inherited Members
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()
Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

PHTML::FieldElement::FieldElement | ( | const char * | nam,
|  | const char * | attr,
|  | ElementInSet | elmt,
|  | OptionalCRLF | opt,
|  | DisableCodes | disabled
| ) |  |
| protected

virtual PHTML::FieldElement::~FieldElement | ( |  | ) |
| inline protected virtual

## Member Function Documentation

virtual void PHTML::FieldElement::AddAttr | ( | PHTML & | html | ) | const
| protected virtual

Reimplemented from PHTML::Element.

Reimplemented in PHTML::ResetButton, PHTML::InputImage, PHTML::InputFile, PHTML::InputNumber, PHTML::RadioButton, PHTML::InputText, PHTML::HiddenField, PHTML::InputField, PHTML::TextArea, PHTML::FormField, PHTML::Option, and PHTML::Select.

The documentation for this class was generated from the following file:

- html.h